# Production setup

```{only} diataxis
The following how-to guides cover common operations related to the LXD server and the LXD client:
```

```{filtered-toctree}
:titlesonly:

:diataxis:Back up a server </backup>
:diataxis:Benchmark performance </howto/benchmark_performance>
:diataxis:Increase bandwidth </howto/network_increase_bandwidth>
:diataxis:Monitor metrics </metrics>
:diataxis:Send logs to Loki </howto/logs_loki>
:diataxis:Set up Grafana </howto/grafana>
:diataxis:Recover instances </howto/disaster_recovery>
```

## Related topics

```{only} diataxis
{{performance_exp}}

{{performance_ref}}
```

```{filtered-toctree}
:maxdepth: 1

:topical:/explanation/performance_tuning
:topical:Benchmark performance </howto/benchmark_performance>
:topical:Monitor metrics </metrics>
:topical:Send logs to Loki </howto/logs_loki>
:topical:Set up Grafana </howto/grafana>
:topical:Increase bandwidth </howto/network_increase_bandwidth>
:topical:Back up a server </backup>
:topical:Recover instances </howto/disaster_recovery>
:topical:Server settings </reference/server_settings>
:topical:/reference/provided_metrics
```
